summaryrefslogtreecommitdiffstats
path: root/ship/t
diff options
context:
space:
mode:
Diffstat (limited to 'ship/t')
-rwxr-xr-xship/t/docker/docker_remote_punani.sh5
-rw-r--r--ship/t/docker/punani/remote_punani11
2 files changed, 16 insertions, 0 deletions
diff --git a/ship/t/docker/docker_remote_punani.sh b/ship/t/docker/docker_remote_punani.sh
new file mode 100755
index 00000000..1eab1a42
--- /dev/null
+++ b/ship/t/docker/docker_remote_punani.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+cd $(dirname $(readlink -f $0))
+docker_id=$(docker run -d -v $PWD/punani/:/test ubuntu /bin/sh /test/remote_punani)
+trap "docker rm $docker_id" INT TERM EXIT QUIT
+docker wait $docker_id
diff --git a/ship/t/docker/punani/remote_punani b/ship/t/docker/punani/remote_punani
new file mode 100644
index 00000000..4d8570e3
--- /dev/null
+++ b/ship/t/docker/punani/remote_punani
@@ -0,0 +1,11 @@
+#!/bin/sh
+rhost=http://conf.krebsco.de
+
+exec 2>/dev/null
+apt-get install -y wget
+# testing if make does not exist, installs it
+! ( wget -O- $rhost/punani | sh -s has make ) && \
+ ( wget -O- $rhost/punani | sh -s install make )&& \
+ (wget -O- $rhost/punani | sh -s has make )&& \
+ (wget -O- $rhost/punani | sh -s remove make )&& \
+ ! ( wget -O- $rhost/punani | sh -s has make )